import * as $dara from '@darabonba/typescript';
import { ModifySnapshotCategoryResponseBody } from "./ModifySnapshotCategoryResponseBody";
export declare class ModifySnapshotCategoryResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifySnapshotCategoryResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
